Start a new conversation
curl --request POST \
--url https://catalystapi.superdashhq.com/api/v1/chatbot \
--header 'Content-Type: application/json' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"workspaceId": "<string>",
"assistantId": "<string>",
"userIdentifier": "<string>",
"question": "<string>",
"attributes": {
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>"
}
}
'import requests
url = "https://catalystapi.superdashhq.com/api/v1/chatbot"
payload = {
"workspaceId": "<string>",
"assistantId": "<string>",
"userIdentifier": "<string>",
"question": "<string>",
"attributes": {
"customField1": "<string>",
"customField2": "<string>",
"customField3": "<string>",
"customField4": "<string>",
"customField5": "<string>",
"customField6": "<string>",
"customField7": "<string>",
"customField8": "<string>"
}
}
headers = {
"x-api-key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
assistantId: '<string>',
userIdentifier: '<string>',
question: '<string>',
attributes: {
customField1: '<string>',
customField2: '<string>',
customField3: '<string>',
customField4: '<string>',
customField5: '<string>',
customField6: '<string>',
customField7: '<string>',
customField8: '<string>'
}
})
};
fetch('https://catalystapi.superdashhq.com/api/v1/chatbot', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"response": "Response generated by LLM",
"conversationId": "A newly created conversationId to identify the conversation."
}
{
"msg": "Bad request"
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
Chat
Start a new conversation
Use this API endpoint to generate a response from the LLM, tailored to your custom knowledge base and the specified prompt.
POST
/
v1
/
chatbot
Start a new conversation
Authorizations
string
required
API key associated with your workspace
Body Parameters
string
required
A unique identifier (UUID) that specifies the workspace within which the assistant operates.
string
required
A unique identifier (UUID) that specifies the assistant to be used for generating the LLM response.
string
required
A unique identifier associated with the user or customer initiating the conversation. This identifier is crucial for tracking and storing individual conversation histories. It allows you to maintain context across multiple interactions with the same user. Example: “user12345” or “customer_email@example.com”
string
required
The user’s query or prompt that is submitted to the LLM. The LLM will use this question to generate a relevant response.
object
The attributes parameter is an optional JSON object that allows you to provide additional contextual information or metadata with your API request. This can be used for various purposes, you can use this to pass user or customer details like firstName, lastName, or any other relevant information to personalize the interaction.
Show Properties
Show Properties
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
string
Any value you want to dynamically access while placing the call, like first name, last name, company name, etc.
Response
string
The response generated by the LLM.
string
The ID associated with the conversation.
{
"response": "Response generated by LLM",
"conversationId": "A newly created conversationId to identify the conversation."
}
{
"msg": "Bad request"
}
{
"msg": "Api key is not valid"
}
{
"msg": "Please upgrade your account to continue"
}
{
"msg": "Forbidden"
}
{
"msg": "Server Error"
}
⌘I